.\"	$NetBSD: ddn.4,v 1.10 2002/01/15 02:05:53 wiz Exp $
.\"
.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)ddn.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt DDN 4 vax
.Os
.Sh NAME
.Nm ddn
.Nd
.Tn DDN
Standard Mode
.Tn X.25
.Tn IMP
network interface
.Sh SYNOPSIS
.Cd "ddn0 at uba0 csr 166740 vector ddnintr"
.Sh DESCRIPTION
NOTE: This driver has not been ported from
.Bx 4.4
yet.
.Pp
The
.Nm ddn
device provides a
.Tn DDN
Standard Mode
.Tn X.25
interface to an
.Tn IMP
using
the
.Tn ACC ACP625
.Tn X.25
board.  It is normally used for connecting to
the Defense Data Network
.Pq Tn DDN .
The controller itself is not accessible
to users, but instead provides a network interface for the
Internet Protocol described in
.Xr ip 4 .
.Sh DIAGNOSTICS
.Bl -diag
.It ddn%d: not alive.
The initialization routine was entered even though the device
did not autoconfigure.  This indicates a system problem.
.Pp
.It ddn%d: failed getting UBA resources for lcn %d."
Insufficient
.Tn UNIBUS
resources existed to initialize the device.
This is likely to be a shortage of
.Tn UNIBUS
mapping registers.
.Pp
.It ddn%d: couldn't get X25 init buffer.
This indicates that an
.Em mbuf
could not be allocated for sending the initialization message to the
.Tn ACP Ns 625 .
.Pp
.It DDN: illegal X25 address length!
.It DDN: illegal X25 address format!
These errors indicate a problem with the called
.Tn X.25
address received
from the
.Tn IMP
on an incoming call.
.Pp
.It X25 RESET on lcn = %d.
This indicates that an unexpected
.Tn X.25
.Tn RESET
was received on the
indicated
.Tn LCN .
.Pp
.It X25 INTERRUPT on lcn = %d, code = %d.
This indicates that an unexpected
.Tn X.25
.Tn INTERRUPT
Packet was received on the
indicated
.Tn LCN .
.Pp
.It ddn%d: failed to get supr msg bfr!
This indicates that an
.Em mbuf
could not be allocated for sending a supervisor message to the
.Tn ACP625 .
.El
.Pp
Any other error message from
.Ql ddn%d:
indicates a serious error
detected by either the driver or the
.Tn ACP Ns 625
firmware.
.Sh SEE ALSO
.Xr ip 4 ,
.Xr netintro 4
.Sh HISTORY
The
.Nm
interface appeared in
.Bx 4.3 .
